> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Processor Batch Payouts ( STABLE )

> This API retrieves all batch payouts associated with the processor. The response provides comprehensive details for each payout, including the total amount and specific information for each payout.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v2/batch-payouts/processor
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v2/batch-payouts/processor:
    get:
      tags:
        - Payouts
        - Stable
      summary: List Processor Batch Payouts ( STABLE )
      description: >-
        This API retrieves all batch payouts associated with the processor. The
        response provides comprehensive details for each payout, including the
        total amount and specific information for each payout.
      operationId: 0c5eef4a1ebb60e8503e7db16c78c22f
      parameters:
        - name: start_date
          in: query
          description: Filter by start date (YYYY-MM-DD)
          required: false
          schema:
            type: string
            format: date
        - name: end_date
          in: query
          description: Filter by end date (YYYY-MM-DD)
          required: false
          schema:
            type: string
            format: date
        - name: sort_order
          in: query
          description: Sort order ('oldest' or 'newest')
          required: false
          schema:
            type: string
            enum:
              - oldest
              - newest
        - name: page
          in: query
          description: Page number for pagination
          required: false
          schema:
            type: integer
            example: 1
        - name: per_page
          in: query
          description: Number of records per page
          required: false
          schema:
            type: integer
            example: 10
      responses:
        '200':
          description: Processor batch payouts retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V2ProcessorBatchPayoutsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Invalid Parameters Received: startDate, endDate'
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    type: object
                    example: null
                    nullable: true
                  error_code:
                    type: string
                    example: null
                    nullable: true
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: The given data was invalid.
                  data:
                    type: object
                    example: null
                    nullable: true
                  errors:
                    properties:
                      start_date:
                        type: array
                        items: {}
                        example:
                          - The start date does not match the format Y-m-d.
                          - >-
                            The start date must be a date before or equal to end
                            date.
                      end_date:
                        type: array
                        items: {}
                        example:
                          - The end date does not match the format Y-m-d.
                          - >-
                            The end date must be a date after or equal to start
                            date.
                      sort_order:
                        type: array
                        items: {}
                        example:
                          - The selected sort order is invalid.
                      per_page:
                        type: array
                        items: {}
                        example:
                          - The per page must be an integer.
                          - The per page must be at least 1.
                          - The per page may not be greater than 100.
                      page:
                        type: array
                        items: {}
                        example:
                          - The page must be an integer.
                          - The page must be at least 1.
                    type: object
                  error_code:
                    type: string
                    example: null
                    nullable: true
                type: object
      security:
        - ApiToken: []
components:
  schemas:
    V2ProcessorBatchPayoutsResponse:
      properties:
        status:
          type: boolean
          example: true
        message:
          type: string
          example: ''
        data:
          properties:
            batch_payouts:
              type: array
              items:
                properties:
                  uuid:
                    type: string
                    format: uuid
                    example: 9bd53fe1-ac74-4e81-b6f2-be88b7c86a68
                  amount:
                    type: number
                    format: integer
                    example: 4400
                  trace_id:
                    type: string
                    example: ach_11kt6v9715jp67t
                  payout_status:
                    type: string
                    example: PAYOUT_COMPLETE
                  ach_return_code:
                    type: string
                    example: null
                    nullable: true
                  failure_reason:
                    type: string
                    example: null
                    nullable: true
                  modality:
                    properties:
                      payment_rail:
                        type: string
                        example: fednow
                      speed:
                        type: string
                        example: instant
                    type: object
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-02-17 11:15:15'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-02-18 17:15:15'
                type: object
            pagination:
              properties:
                current_page:
                  type: integer
                  example: 1
                total_pages:
                  type: integer
                  example: 2
                total_items:
                  type: integer
                  example: 12
                per_page:
                  type: integer
                  example: 10
              type: object
          type: object
        errors:
          type: string
          example: null
          nullable: true
        error_code:
          type: string
          example: null
          nullable: true
      type: object
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````